org.apache.catalina.startup

## Class ConnectorCreateRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.catalina.startup.ConnectorCreateRule

    public class ConnectorCreateRule
    extends Rule

Rule implementation that creates a connector.

### Field Summary

### Fields inherited from class org.apache.tomcat.util.digester.Rule

`digester, namespaceURI`

### Constructor Summary

Constructors
Constructor and Description
`ConnectorCreateRule()`

### Method Summary

Methods
`void` `_setExecutor(Connector con, Executor ex)`
`void` `begin(String namespace, String name, Attributes attributes)` Process the beginning of this element.
`void` `end(String namespace, String name)` Process the end of this element.

### Methods inherited from class org.apache.tomcat.util.digester.Rule

`begin, body, body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectorCreateRule

    public ConnectorCreateRule()

### Method Detail

#### begin

    public void begin(String namespace,
             String name,
             Attributes attributes)
               throws Exception

Process the beginning of this element.

Overrides:
  `begin` in class `Rule`
Parameters:
  `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
  `name` - the local name if the parser is namespace aware, or just the element name otherwise
  `attributes` - The attribute list for this element
Throws:
  `Exception`

#### _setExecutor

    public void _setExecutor(Connector con,
                    Executor ex)
                      throws Exception

Throws:
  `Exception`

#### end

    public void end(String namespace,
           String name)
             throws Exception

Process the end of this element.

Overrides:
  `end` in class `Rule`
Parameters:
  `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
  `name` - the local name if the parser is namespace aware, or just the element name otherwise
Throws:
  `Exception`